### Method

# Gdk Surface translate_coordinates

#### Declaration [src]

    gboolean
    gdk_surface_translate_coordinates (
      GdkSurface* from,
      GdkSurface* to,
      double* x,
      double* y
    )

#### Description [src]

Translates coordinates between two surfaces.

Note that this only works if `to` and `from` are popups or transient-for to the same toplevel (directly or indirectly).

#### Parameters

`to` | `GdkSurface`
| The target surface.
| The data is owned by the caller of the function.
`x` | `double*`
| Coordinates to translate.
| The argument will be modified by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`y` | `double*`
| Coordinates to translate.
| The argument will be modified by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the coordinates were successfully translated.